Drop build-deps related to automake.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
(cherry picked from commit 431f150de8
)
pull/92/head
parent
a5214f9a95
commit
223c3fb592
@ -1,11 +0,0 @@
|
|||||||
--- a/admin/configure.in.min
|
|
||||||
+++ b/admin/configure.in.min
|
|
||||||
@@ -38,6 +38,8 @@
|
|
||||||
dnl Automake doc recommends to do this only here. (Janos)
|
|
||||||
AM_INIT_AUTOMAKE(@MODULENAME@, @VERSION@) dnl searches for some needed programs
|
|
||||||
|
|
||||||
+AM_MAINTAINER_MODE
|
|
||||||
+
|
|
||||||
KDE_SET_PREFIX
|
|
||||||
|
|
||||||
dnl generate the config header
|
|
@ -1,18 +0,0 @@
|
|||||||
--- a/admin/acinclude.m4.in
|
|
||||||
+++ b/admin/acinclude.m4.in
|
|
||||||
@@ -1689,15 +1689,6 @@
|
|
||||||
KDE_USE_CLOSURE_TRUE="#"
|
|
||||||
KDE_USE_CLOSURE_FALSE=""
|
|
||||||
KDE_NO_UNDEFINED=""
|
|
||||||
- case $host in
|
|
||||||
- *-*-linux-gnu)
|
|
||||||
- KDE_CHECK_COMPILER_FLAG([Wl,--no-undefined],
|
|
||||||
- [KDE_CHECK_COMPILER_FLAG([Wl,--allow-shlib-undefined],
|
|
||||||
- [KDE_NO_UNDEFINED="-Wl,--no-undefined -Wl,--allow-shlib-undefined"],
|
|
||||||
- [KDE_NO_UNDEFINED=""])],
|
|
||||||
- [KDE_NO_UNDEFINED=""])
|
|
||||||
- ;;
|
|
||||||
- esac
|
|
||||||
fi
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_TRUE)
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_FALSE)
|
|
@ -1,26 +0,0 @@
|
|||||||
--- kde/admin/cvs.sh 2005-11-26 02:42:02.000000000 +0000
|
|
||||||
+++ kde/admin/cvs.sh 2005-11-26 02:42:26.000000000 +0000
|
|
||||||
@@ -537,6 +537,8 @@
|
|
||||||
if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
|
|
||||||
export EXTRACTRC PREPARETIPS
|
|
||||||
|
|
||||||
+kdepotpath=/opt/trinity/include/tde/tde.pot
|
|
||||||
+
|
|
||||||
for subdir in $dirs; do
|
|
||||||
test -z "$VERBOSE" || echo "Making messages in $subdir"
|
|
||||||
(cd $subdir
|
|
||||||
@@ -554,10 +556,10 @@
|
|
||||||
fi
|
|
||||||
perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
|
|
||||||
|
|
||||||
- kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
- if ! test -f $kdepotpath; then
|
|
||||||
- kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
- fi
|
|
||||||
+# kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
+# if ! test -f $kdepotpath; then
|
|
||||||
+# kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
+# fi
|
|
||||||
|
|
||||||
$MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" srcdir=. \
|
|
||||||
XGETTEXT="${XGETTEXT:-xgettext} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x $kdepotpath" messages
|
|
@ -1,3 +0,0 @@
|
|||||||
common/04_am_maintainer_mode.diff
|
|
||||||
common/06_disable_no_undefined.diff
|
|
||||||
common/kubuntu_01_kdepot.diff
|
|
@ -1,11 +0,0 @@
|
|||||||
--- a/admin/configure.in.min
|
|
||||||
+++ b/admin/configure.in.min
|
|
||||||
@@ -38,6 +38,8 @@
|
|
||||||
dnl Automake doc recommends to do this only here. (Janos)
|
|
||||||
AM_INIT_AUTOMAKE(@MODULENAME@, @VERSION@) dnl searches for some needed programs
|
|
||||||
|
|
||||||
+AM_MAINTAINER_MODE
|
|
||||||
+
|
|
||||||
KDE_SET_PREFIX
|
|
||||||
|
|
||||||
dnl generate the config header
|
|
@ -1,18 +0,0 @@
|
|||||||
--- a/admin/acinclude.m4.in
|
|
||||||
+++ b/admin/acinclude.m4.in
|
|
||||||
@@ -1689,15 +1689,6 @@
|
|
||||||
KDE_USE_CLOSURE_TRUE="#"
|
|
||||||
KDE_USE_CLOSURE_FALSE=""
|
|
||||||
KDE_NO_UNDEFINED=""
|
|
||||||
- case $host in
|
|
||||||
- *-*-linux-gnu)
|
|
||||||
- KDE_CHECK_COMPILER_FLAG([Wl,--no-undefined],
|
|
||||||
- [KDE_CHECK_COMPILER_FLAG([Wl,--allow-shlib-undefined],
|
|
||||||
- [KDE_NO_UNDEFINED="-Wl,--no-undefined -Wl,--allow-shlib-undefined"],
|
|
||||||
- [KDE_NO_UNDEFINED=""])],
|
|
||||||
- [KDE_NO_UNDEFINED=""])
|
|
||||||
- ;;
|
|
||||||
- esac
|
|
||||||
fi
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_TRUE)
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_FALSE)
|
|
@ -1,26 +0,0 @@
|
|||||||
--- kde/admin/cvs.sh 2005-11-26 02:42:02.000000000 +0000
|
|
||||||
+++ kde/admin/cvs.sh 2005-11-26 02:42:26.000000000 +0000
|
|
||||||
@@ -537,6 +537,8 @@
|
|
||||||
if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
|
|
||||||
export EXTRACTRC PREPARETIPS
|
|
||||||
|
|
||||||
+kdepotpath=/usr/include/tde/tde.pot
|
|
||||||
+
|
|
||||||
for subdir in $dirs; do
|
|
||||||
test -z "$VERBOSE" || echo "Making messages in $subdir"
|
|
||||||
(cd $subdir
|
|
||||||
@@ -554,10 +556,10 @@
|
|
||||||
fi
|
|
||||||
perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
|
|
||||||
|
|
||||||
- kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
- if ! test -f $kdepotpath; then
|
|
||||||
- kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
- fi
|
|
||||||
+# kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
+# if ! test -f $kdepotpath; then
|
|
||||||
+# kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
+# fi
|
|
||||||
|
|
||||||
$MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" srcdir=. \
|
|
||||||
XGETTEXT="${XGETTEXT:-xgettext} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x $kdepotpath" messages
|
|
@ -1,3 +0,0 @@
|
|||||||
common/04_am_maintainer_mode.diff
|
|
||||||
common/06_disable_no_undefined.diff
|
|
||||||
common/kubuntu_01_kdepot.diff
|
|
@ -1,11 +0,0 @@
|
|||||||
--- a/admin/configure.in.min
|
|
||||||
+++ b/admin/configure.in.min
|
|
||||||
@@ -38,6 +38,8 @@
|
|
||||||
dnl Automake doc recommends to do this only here. (Janos)
|
|
||||||
AM_INIT_AUTOMAKE(@MODULENAME@, @VERSION@) dnl searches for some needed programs
|
|
||||||
|
|
||||||
+AM_MAINTAINER_MODE
|
|
||||||
+
|
|
||||||
KDE_SET_PREFIX
|
|
||||||
|
|
||||||
dnl generate the config header
|
|
@ -1,18 +0,0 @@
|
|||||||
--- a/admin/acinclude.m4.in
|
|
||||||
+++ b/admin/acinclude.m4.in
|
|
||||||
@@ -1689,15 +1689,6 @@
|
|
||||||
KDE_USE_CLOSURE_TRUE="#"
|
|
||||||
KDE_USE_CLOSURE_FALSE=""
|
|
||||||
KDE_NO_UNDEFINED=""
|
|
||||||
- case $host in
|
|
||||||
- *-*-linux-gnu)
|
|
||||||
- KDE_CHECK_COMPILER_FLAG([Wl,--no-undefined],
|
|
||||||
- [KDE_CHECK_COMPILER_FLAG([Wl,--allow-shlib-undefined],
|
|
||||||
- [KDE_NO_UNDEFINED="-Wl,--no-undefined -Wl,--allow-shlib-undefined"],
|
|
||||||
- [KDE_NO_UNDEFINED=""])],
|
|
||||||
- [KDE_NO_UNDEFINED=""])
|
|
||||||
- ;;
|
|
||||||
- esac
|
|
||||||
fi
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_TRUE)
|
|
||||||
AC_SUBST(KDE_USE_CLOSURE_FALSE)
|
|
@ -1,26 +0,0 @@
|
|||||||
--- kde/admin/cvs.sh 2005-11-26 02:42:02.000000000 +0000
|
|
||||||
+++ kde/admin/cvs.sh 2005-11-26 02:42:26.000000000 +0000
|
|
||||||
@@ -537,6 +537,8 @@
|
|
||||||
if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
|
|
||||||
export EXTRACTRC PREPARETIPS
|
|
||||||
|
|
||||||
+kdepotpath=/opt/trinity/include/tde/tde.pot
|
|
||||||
+
|
|
||||||
for subdir in $dirs; do
|
|
||||||
test -z "$VERBOSE" || echo "Making messages in $subdir"
|
|
||||||
(cd $subdir
|
|
||||||
@@ -554,10 +556,10 @@
|
|
||||||
fi
|
|
||||||
perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
|
|
||||||
|
|
||||||
- kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
- if ! test -f $kdepotpath; then
|
|
||||||
- kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
- fi
|
|
||||||
+# kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
|
|
||||||
+# if ! test -f $kdepotpath; then
|
|
||||||
+# kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
|
|
||||||
+# fi
|
|
||||||
|
|
||||||
$MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" srcdir=. \
|
|
||||||
XGETTEXT="${XGETTEXT:-xgettext} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x $kdepotpath" messages
|
|
@ -1,3 +0,0 @@
|
|||||||
common/04_am_maintainer_mode.diff
|
|
||||||
common/06_disable_no_undefined.diff
|
|
||||||
common/kubuntu_01_kdepot.diff
|
|
Loading…
Reference in new issue